## org.eclipse.m2m.qvt.oml.debug.core.app
Class SocketUtil

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.app.SocketUtil

    public class SocketUtil

extends java.lang.Object

Method Summary
`static boolean` `close(java.io.InputStream is)`
`static boolean` `close(java.io.OutputStream os)`
`static boolean` `close(java.net.ServerSocket socket)`
`static boolean` `close(java.net.Socket socket)`
`static int` `findFreePort()` Returns a free port number on localhost, or -1 if unable to find a free port.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findFreePort

    public static int findFreePort()

  Returns a free port number on localhost, or -1 if unable to find a free port.

  Returns:
    a free port number on localhost, or -1 if unable to find a free port
  Since:
    3.0

### close

    public static boolean close(java.net.Socket socket)

### close

    public static boolean close(java.net.ServerSocket socket)

### close

    public static boolean close(java.io.InputStream is)

### close

    public static boolean close(java.io.OutputStream os)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.